# Emulation & ROMs

# [GameCube Dolphin Emulator Launcher](./Gamecube/dolphin_gamecube.sh)

This script facilitates the launching of GameCube ROMs using the Dolphin emulator on a Linux system. It automates the process of setting up and running Dolphin, handling both standalone ISO files and those contained within ZIP or 7z archives.

## Requirements

- `flatpak`: If not installed, the script will attempt to install it along with Dolphin emulator.
- `p7zip-full`: Required for extracting ROMs from ZIP or 7z archives.

## Installation

1. Clone or download the script to your system.
2. Ensure executable permissions are set: `chmod +x gamecube_dolphin.sh`.
3. Run the script with the path to your GameCube ROM as an argument, e.g., `./gamecube_dolphin.sh /path/to/your/rom.iso`.

## Usage

```bash
./gamecube_dolphin.sh /path/to/your/rom.iso
```

## Features

- Automatically installs necessary dependencies if missing.
- Handles ROMs in ZIP, 7z, ISO, and rvz formats.
- Extracts ROMs from archives before launching Dolphin.
- Cleans up extracted files after running Dolphin.

# [PS3 ISO Decrypt](./PS3/ps3_decrypt.sh)

- Install [libray](https://pypi.org/project/libray/)
    ```bash
    sudo pip install -y libray
    ```
- Decrypt with:
    ```
    libray -i file_in.iso -o file_out.iso -k dkey
    ```